Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 183067

Summary: Review Request: par2 - PAR2 recovery set command line utility
Product: [Fedora] Fedora Reporter: Aaron Kurtz <a.kurtz>
Component: Package ReviewAssignee: Thorsten Leemhuis (ignored mailbox) <bugzilla-sink>
Status: CLOSED DUPLICATE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: hondaman, laurent.rineau__fedora, rc040203
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-05-31 12:25:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Aaron Kurtz 2006-02-25 23:07:24 UTC
Spec Name or Url: http://hardsun.net/fedora/par2.spec
SRPM Name or Url: http://hardsun.net/fedora/par2-0.4-1.src.rpm

Description: This application provides support for PAR2 
files. Parity archives provide RAID-like data recovery for
files, allowing the recovery of any 'X' real data-blocks for
'X' parity data-blocks present. Version 2 extends this to
virtual slices of files, reducing the required redundant data
and making it easier to include non-like sized files in the
recovery set.

Comment 1 Konstantin Ryabitsev 2006-02-26 00:07:12 UTC
There is "parchive" already in Extras. Same thing?

Comment 2 Aaron Kurtz 2006-02-26 00:55:43 UTC
No, parchive deals with PAR or PAR1 files, while
par2 is the utility for the next generation spec,
PAR2. 

Comment 3 Ralf Corsepius 2006-02-26 06:19:21 UTC
NEEDSWORK:
- package doesn't depend on libsigc++ at all.
Please remove "BR: libsigc++-devel"

- I don't see any need for 001_hardlinks.patch
The original authors want these programs hardlinks, so be it.

- Compilation triggers dozens of warnings of this kind:
...
par2fileformat.h:67: warning: ignoring packed attribute on unpacked non-POD
field 'MD5Hash PACKET_HEADER::hash'
par2fileformat.h:68: warning: ignoring packed attribute on unpacked non-POD
field 'MD5Hash PACKET_HEADER::setid'
par2fileformat.h:79: warning: ignoring packed attribute on unpacked non-POD
field 'MD5Hash FILEVERIFICATIONENTRY::hash'
par2fileformat.h:86: warning: ignoring packed attribute on unpacked non-POD
field 'MD5Hash FILEVERIFICATIONPACKET::fileid'
...
In many cases, these warnings can not be ignored. Please check.

- The toplevel Makefile.am contains this:
LDADD = -lstdc++

This is a BUG. Remove this line.




Comment 4 Kevin Larkin 2006-04-21 03:22:07 UTC
[root@hondaserver ~]# rpmbuild --rebuild par2-0.4-1.src.rpm 
Installing par2-0.4-1.src.rpm
warning: user dragoon does not exist - using root
warning: group dragoon does not exist - using root
warning: user dragoon does not exist - using root
warning: group dragoon does not exist - using root
warning: user dragoon does not exist - using root
warning: group dragoon does not exist - using root
warning: user dragoon does not exist - using root
warning: group dragoon does not exist - using root
warning: user dragoon does not exist - using root
warning: group dragoon does not exist - using root
error: Failed build dependencies:
        libsigc++20-devel is needed by par2-0.4-1.x86_64

I have installed libsigc++20-devel and it still wont build.

Comment 5 Laurent Rineau 2006-05-10 15:09:55 UTC
It seems this bug is a dup of #190070. (Actually, it is #190070 that should 
have been a dup of this bug, since I posted it after yours.)

Aaron, you can find the FE spec file of par2cmdline at:
  http://cvs.fedora.redhat.com/viewcvs/rpms/par2cmdline/devel/?root=extras
You are welcome to make comments about this spec file. I already have taken 
into account comment #3 of Ralf.

(Ralf, I add you to CC list. Perhaps you have super-powers mark this bug as 
dup.)


Comment 6 Laurent Rineau 2006-05-31 12:25:00 UTC
No anwser. I got fedorabugs membership since then. I close this bug.


*** This bug has been marked as a duplicate of 190070 ***